Page MenuHomePhabricator

Mark several PointerIntPair methods as lvalue-only
ClosedPublic

Authored by jordan_rose on Jun 28 2019, 11:11 AM.

Details

Reviewers
jfb
rsmith
atrick
Summary

No point in mutating this if it's just going to be thrown away. This would have saved me some debugging in D63943.

Diff Detail

Repository
rL LLVM

Event Timeline

jordan_rose created this revision.Jun 28 2019, 11:11 AM
atrick accepted this revision.Oct 7 2019, 5:55 PM
atrick added a subscriber: atrick.

Thanks!

This revision is now accepted and ready to land.Oct 7 2019, 5:55 PM
jordan_rose closed this revision.Oct 8 2019, 11:59 AM

Committed in rL374102.